<p>
    <text style="color:darkred">Na ovoj stranici pogledat ćemo moguće implementacije dva nova (do sada ne spomenuta)
        bistabila.
    </text>
</p>
<hr>
<h3><b>Bistabil T</b></h3>

<p>
    Bistabil <b>T</b> (engl. <i>toggle</i>) možemo ostvariti prethodno opisanim bistabilom <b>JK</b>. Bistabil <b>T</b>,
    kao što mu naziv kaže, je bistabil koji mijenja stanje. Ako na ulaz ovog bistabila dovedemo jedinicu stanje će se
    promijeniti (ako je bistabil bio u stanju <b>1</b> prijeći će u <b>0</b> i obratno). Ako na ulaz <b>T</b> dovedemo
    logičku nulu bistabil će ostati u stanju u kojemu je bio.
</p>

<p>
    Na sljedećoj se simulaciji nalazi jedan ovakav bistabil. Njegovu internu implementaciju možete vidjeti jednim klikom
    desne tipke miša unutar pravokutnika koji ga opisuje. Isto tako, kada želite izaći, kliknite još jednom unutar
    pravokutnika.
</p>

<hr>
<div id="sketchT">
    <p align="center">
        <canvas id="flipFlopT" width="700px" height="420px"></canvas>
    </p>
</div>
<hr>

<p>
    Ako ste isprobali prethodnu simulaciju, uočili ste kako je implementiran bistabil <b>T</b>. Na ulaze <b>J</b> i
    <b>K</b> spojili smo direktno ulaz <b>T</b>. Takvim spajanjem dobiti ćemo dvije kombinacije bistabila <b>JK</b>. To
    su <code>00</code> kada je na ulazu <b>T</b> vrijednost <b>0</b> i <code>11</code> kada je na ulaza <b>T</b>
    vrijednost <b>1</b>. Uočite da takvo ponašanje odgovara definiciji bistabila <b>T</b>. Za vrijednost <b>0</b>
    bistabil će ostati u stanju u kojem je bio, dok će za vrijednost <b>1</b> promijeniti stanje.
</p>
<hr>
<p>
    Slijedi i demonstracija bistabila <b>T</b> s tablicom i dijagramom promjene stanja. Isprobajte sljedeću
    demonstraciju postavljajući ulaz <b>T</b> u jedinicu te mijenjajući <b>CP</b> kako bi ostvarili rastući brid signala
    takta i vidjeli promjenu.
</p>


<h3 style="color:darkred"><b>Napomena</b></h3>
<p style="color:darkblue;font-style:italic">
    Bistabilima je dodano i kašnjenje kako bi se ljepše vidjela promjena na dijagramu promjene stanja bistabila.
    Simulacije s kašnjenje imaju definirano kašnjenje pri dnu simulacije (ispod opisa).
</p>
<hr>
<div>
    <p align="center">
        <canvas id="symbolT" width="700px" height="600px"></canvas>
    </p>
</div>
<hr>
<br>
<h3><b>Bistabil D</b></h3>

<p>
    Bistabil <b>D</b> (engl. <i>Delay</i>) možemo ostvariti bistabilom <b>SR</b>.
    Ovaj bistabil osnovni je memorijski element koji pamti 1 bit informacije. Njegova funkcija je jednostavna, ako na
    ulaz <b>D</b> dovedemo vrijednost <b>1</b>, bistabil će se postaviti. Dovedemo li na ulaz <b>D</b> vrijednost
    <b>0</b>, bistabil će se resetirati. Ovaj bistabil zovemo <b>D</b> zbog toga što samo prosljeđuje podatak (engl. <i>data</i>)
    na izlaz i to radi s određenim kašnjenjem (engl. <i>delay</i>).
</p>

<p>
    Isprobajte sljedeću simulaciju. Klikom desne tipke miša unutar pravokutnika bistabila <b>D</b>, možete vidjeti i
    jednu moguću implementaciju ovog bistabila.
</p>
<hr>
<div id="sketchD">
    <p align="center">
        <canvas id="flipFlopD" width="800px" height="500px"></canvas>
    </p>
</div>
<hr>

<p>
    Ako ste isprobali prethodnu simulaciju vidjeli ste da je implementacija zaista jednostavna. Na ulaz S bistabila SR
    doveli smo direktno vanjski ulaz <b>D</b>. Međutim, na ulaz R doveli smo komplement ulaza <b>D</b>. Vidimo da će
    ovaj bistabil sadržavati dvije kombinacije bistabila SR, a to su <code>01</code> i <code>10</code>. Uvjerite se u
    to.
    <br><br>
    Kliknite jednom na ulaz <b>D</b> kako bi ga postavili u <b>1</b>, ulaz S dobiti će upravo tu vrijednost dok će ulaz
    R dobiti komplement te vrijednosti. Time smo postavili vrijednost <code>10</code>, što će postaviti ovaj bistabil
    (na rastući brid <b>CP</b>-a). Postavite sada ulaz <b>D</b> na vrijednost <b>0</b>. Sada će ulaz S poprimiti
    vrijednost <b>0</b> a ulaz R komplement te vrijednosti. Time smo dobili i kombinaciju <code>01</code>, bistabil će
    se na rastući brid signala takta resetirati.
</p>

<p>
    Na sljedećoj simulaciji možete vidjeti simbol bistabila <b>D</b>, njegovu tablicu promjene stanja i dijagram
    promjene stanja. Isprobajte još jednom ovaj bistabil i pratite dijagram promjene stanja.
</p>

<hr>
<div>
    <p align="center">
        <canvas id="symbolD" width="700px" height="600px"></canvas>
    </p>
</div>
<hr>

<p>
    <text style="color:darkred">Na sljedećoj stranici pogledat ćemo i jedan zanimljivi zadatak.</text>
</p>
<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(exampleT.js)*/
    /*@#page-include#(symbolT.js)*/
    /*@#page-include#(symbolD.js)*/
    /*@#page-include#(exampleD.js)*/
</script>